summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2011-08-01 16:56:15 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2011-08-01 16:56:15 (GMT)
commit20b5380556b3221ab6931d5fd124cf2a937672f9 (patch)
treea69e4a8b47f91b770cc7269bfe9c9d89fdb57968 /scripts
parent593883763314c5247d8e250067e0b2f00f8e2e0a (diff)
scripts/functions: if no upstream URL is given, silently ignore that
When retrieving tarballs from upstream, if no URL was given, do not fail; simmply ignore that fact. This will be used later when the SVN helper will call the standard helper to try the LAN mirror before trying svn. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/functions1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/functions b/scripts/functions
index ffe5441..199aa57 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -556,6 +556,7 @@ CT_GetFile() {
for ext in ${first_ext} .tar.bz2 .tar.gz .tgz .tar ''; do
# Try all urls in turn
for url in ${URLS}; do
+ [ -n "${url}" ] || continue
CT_DoLog DEBUG "Trying '${url}/${file}${ext}'"
CT_DoGetFile "${url}/${file}${ext}"
if [ -f "${CT_TARBALLS_DIR}/${file}${ext}" ]; then